package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (SoSaleorderB)实体类
 *
 * @author makejava
 * @since 2023-08-16 18:03:08
 */
public class SoSaleorderBEntity extends BaseEntity {

    private String alrconfincomny;
    private String alrconfinconum;
    private String bbindflag;
    private String bdericttrans;
    private String blargessflag;
    private String boosflag;
    private String breturnprofit;
    private String bsafeprice;
    private String bsupplyflag;
    private String cadvisecalbodyid;
    private String cbatchid;
    private String cbodywarehouseid;
    private String cbomorderid;
    private String cchantypeid;
    private String cconsigncorpid;
    private String ccurrencytypeid;
    private String cfactoryid;
    private String cfreezeid;
    private String cinvbasdocid;
    private String cinventoryid;
    private String cinventoryid1;
    private String clargessrowno;
    private String coperatorid;
    private String corderBid;
    private String cpackunitid;
    private String cpricecalproc;
    private String cpriceitemid;
    private String cpriceitemtable;
    private String cpricepolicyid;
    private String cprolineid;
    private String cproviderid;
    private String cquoteunitid;
    private String crecaddrnode;
    private String creccalbodyid;
    private String creceiptareaid;
    private String creceiptcorpid;
    private String creceipttype;
    private String crecwareid;
    private String crowno;
    private String csaleid;
    private String csourcebillbodyid;
    private String csourcebillid;
    private String ctManagebid;
    private String ctManageid;
    private String cunitid;
    private String dconsigndate;
    private String ddeliverdate;
    private Long dr;
    private Long fbatchstatus;
    private String frownote;
    private Long frowstatus;
    private String inccontimepoint;
    private String inccontimepointname;
    private String incoconfclose;
    private String nastretprofnum;
    private String nasttaldcnum;
    private String ndiscountmny;
    private String ndiscountrate;
    private String nexchangeotobrate;
    private String nitemdiscountrate;
    private String nmaxprc;
    private String nmny;
    private String nnetprice;
    private String nnumber;
    private String norgqtnetprc;
    private String norgqtprc;
    private String norgqttaxnetprc;
    private String norgqttaxprc;
    private String noriginalcurdiscountmny;
    private String noriginalcurmny;
    private String noriginalcurnetprice;
    private String noriginalcurprice;
    private String noriginalcursummny;
    private String noriginalcurtaxmny;
    private String noriginalcurtaxnetprice;
    private String noriginalcurtaxprice;
    private String npacknumber;
    private String nprice;
    private String nqtnetprc;
    private String nqtorgnetprc;
    private String nqtorgprc;
    private String nqtorgtaxnetprc;
    private String nqtorgtaxprc;
    private String nqtprc;
    private String nqttaxnetprc;
    private String nqttaxprc;
    private String nquoteunitnum;
    private String nquoteunitrate;
    private String nretprofmny;
    private String nretprofnum;
    private String nreturntaxrate;
    private String nsummny;
    private String ntaldcmny;
    private String ntaldcnum;
    private String ntaxmny;
    private String ntaxnetprice;
    private String ntaxprice;
    private String ntaxrate;
    private String pkCorp;
    private String refundflag;
    private String tconsigntime;
    private String tdelivertime;
    private String ts;
    private String veditreason;
    private String vreceiveaddress;

    /**
     * 主键数组
     */
    private String csaleids;

    /**
     * 查询入参
     */
    private String dbilldate;

    /**
     * 查询入参
     */
    private String cbiztype;

    /**
     * 查询入参
     */
    private String vdef19;

    /**
     * 查询入参
     */
    private String vdef19ByIn;

    private String vdef20;

    public String getVdef20() {
        return vdef20;
    }

    public void setVdef20(String vdef20) {
        this.vdef20 = vdef20;
    }

    public String getCsaleids() {
        return csaleids;
    }

    public void setCsaleids(String csaleids) {
        this.csaleids = csaleids;
    }

    public String getVdef19ByIn() {
        return vdef19ByIn;
    }

    public void setVdef19ByIn(String vdef19ByIn) {
        this.vdef19ByIn = vdef19ByIn;
    }

    public String getVdef19() {
        return vdef19;
    }

    public void setVdef19(String vdef19) {
        this.vdef19 = vdef19;
    }

    public String getCbiztype() {
        return cbiztype;
    }

    public void setCbiztype(String cbiztype) {
        this.cbiztype = cbiztype;
    }

    public String getDbilldate() {
        return dbilldate;
    }

    public void setDbilldate(String dbilldate) {
        this.dbilldate = dbilldate;
    }

    public String getAlrconfincomny() {
        return alrconfincomny;
    }

    public void setAlrconfincomny(String alrconfincomny) {
        this.alrconfincomny = alrconfincomny;
    }

    public String getAlrconfinconum() {
        return alrconfinconum;
    }

    public void setAlrconfinconum(String alrconfinconum) {
        this.alrconfinconum = alrconfinconum;
    }

    public String getBbindflag() {
        return bbindflag;
    }

    public void setBbindflag(String bbindflag) {
        this.bbindflag = bbindflag;
    }

    public String getBdericttrans() {
        return bdericttrans;
    }

    public void setBdericttrans(String bdericttrans) {
        this.bdericttrans = bdericttrans;
    }

    public String getBlargessflag() {
        return blargessflag;
    }

    public void setBlargessflag(String blargessflag) {
        this.blargessflag = blargessflag;
    }

    public String getBoosflag() {
        return boosflag;
    }

    public void setBoosflag(String boosflag) {
        this.boosflag = boosflag;
    }

    public String getBreturnprofit() {
        return breturnprofit;
    }

    public void setBreturnprofit(String breturnprofit) {
        this.breturnprofit = breturnprofit;
    }

    public String getBsafeprice() {
        return bsafeprice;
    }

    public void setBsafeprice(String bsafeprice) {
        this.bsafeprice = bsafeprice;
    }

    public String getBsupplyflag() {
        return bsupplyflag;
    }

    public void setBsupplyflag(String bsupplyflag) {
        this.bsupplyflag = bsupplyflag;
    }

    public String getCadvisecalbodyid() {
        return cadvisecalbodyid;
    }

    public void setCadvisecalbodyid(String cadvisecalbodyid) {
        this.cadvisecalbodyid = cadvisecalbodyid;
    }

    public String getCbatchid() {
        return cbatchid;
    }

    public void setCbatchid(String cbatchid) {
        this.cbatchid = cbatchid;
    }

    public String getCbodywarehouseid() {
        return cbodywarehouseid;
    }

    public void setCbodywarehouseid(String cbodywarehouseid) {
        this.cbodywarehouseid = cbodywarehouseid;
    }

    public String getCbomorderid() {
        return cbomorderid;
    }

    public void setCbomorderid(String cbomorderid) {
        this.cbomorderid = cbomorderid;
    }

    public String getCchantypeid() {
        return cchantypeid;
    }

    public void setCchantypeid(String cchantypeid) {
        this.cchantypeid = cchantypeid;
    }

    public String getCconsigncorpid() {
        return cconsigncorpid;
    }

    public void setCconsigncorpid(String cconsigncorpid) {
        this.cconsigncorpid = cconsigncorpid;
    }

    public String getCcurrencytypeid() {
        return ccurrencytypeid;
    }

    public void setCcurrencytypeid(String ccurrencytypeid) {
        this.ccurrencytypeid = ccurrencytypeid;
    }

    public String getCfactoryid() {
        return cfactoryid;
    }

    public void setCfactoryid(String cfactoryid) {
        this.cfactoryid = cfactoryid;
    }

    public String getCfreezeid() {
        return cfreezeid;
    }

    public void setCfreezeid(String cfreezeid) {
        this.cfreezeid = cfreezeid;
    }

    public String getCinvbasdocid() {
        return cinvbasdocid;
    }

    public void setCinvbasdocid(String cinvbasdocid) {
        this.cinvbasdocid = cinvbasdocid;
    }

    public String getCinventoryid() {
        return cinventoryid;
    }

    public void setCinventoryid(String cinventoryid) {
        this.cinventoryid = cinventoryid;
    }

    public String getCinventoryid1() {
        return cinventoryid1;
    }

    public void setCinventoryid1(String cinventoryid1) {
        this.cinventoryid1 = cinventoryid1;
    }

    public String getClargessrowno() {
        return clargessrowno;
    }

    public void setClargessrowno(String clargessrowno) {
        this.clargessrowno = clargessrowno;
    }

    public String getCoperatorid() {
        return coperatorid;
    }

    public void setCoperatorid(String coperatorid) {
        this.coperatorid = coperatorid;
    }

    public String getCorderBid() {
        return corderBid;
    }

    public void setCorderBid(String corderBid) {
        this.corderBid = corderBid;
    }

    public String getCpackunitid() {
        return cpackunitid;
    }

    public void setCpackunitid(String cpackunitid) {
        this.cpackunitid = cpackunitid;
    }

    public String getCpricecalproc() {
        return cpricecalproc;
    }

    public void setCpricecalproc(String cpricecalproc) {
        this.cpricecalproc = cpricecalproc;
    }

    public String getCpriceitemid() {
        return cpriceitemid;
    }

    public void setCpriceitemid(String cpriceitemid) {
        this.cpriceitemid = cpriceitemid;
    }

    public String getCpriceitemtable() {
        return cpriceitemtable;
    }

    public void setCpriceitemtable(String cpriceitemtable) {
        this.cpriceitemtable = cpriceitemtable;
    }

    public String getCpricepolicyid() {
        return cpricepolicyid;
    }

    public void setCpricepolicyid(String cpricepolicyid) {
        this.cpricepolicyid = cpricepolicyid;
    }

    public String getCprolineid() {
        return cprolineid;
    }

    public void setCprolineid(String cprolineid) {
        this.cprolineid = cprolineid;
    }

    public String getCproviderid() {
        return cproviderid;
    }

    public void setCproviderid(String cproviderid) {
        this.cproviderid = cproviderid;
    }

    public String getCquoteunitid() {
        return cquoteunitid;
    }

    public void setCquoteunitid(String cquoteunitid) {
        this.cquoteunitid = cquoteunitid;
    }

    public String getCrecaddrnode() {
        return crecaddrnode;
    }

    public void setCrecaddrnode(String crecaddrnode) {
        this.crecaddrnode = crecaddrnode;
    }

    public String getCreccalbodyid() {
        return creccalbodyid;
    }

    public void setCreccalbodyid(String creccalbodyid) {
        this.creccalbodyid = creccalbodyid;
    }

    public String getCreceiptareaid() {
        return creceiptareaid;
    }

    public void setCreceiptareaid(String creceiptareaid) {
        this.creceiptareaid = creceiptareaid;
    }

    public String getCreceiptcorpid() {
        return creceiptcorpid;
    }

    public void setCreceiptcorpid(String creceiptcorpid) {
        this.creceiptcorpid = creceiptcorpid;
    }

    public String getCreceipttype() {
        return creceipttype;
    }

    public void setCreceipttype(String creceipttype) {
        this.creceipttype = creceipttype;
    }

    public String getCrecwareid() {
        return crecwareid;
    }

    public void setCrecwareid(String crecwareid) {
        this.crecwareid = crecwareid;
    }

    public String getCrowno() {
        return crowno;
    }

    public void setCrowno(String crowno) {
        this.crowno = crowno;
    }

    public String getCsaleid() {
        return csaleid;
    }

    public void setCsaleid(String csaleid) {
        this.csaleid = csaleid;
    }

    public String getCsourcebillbodyid() {
        return csourcebillbodyid;
    }

    public void setCsourcebillbodyid(String csourcebillbodyid) {
        this.csourcebillbodyid = csourcebillbodyid;
    }

    public String getCsourcebillid() {
        return csourcebillid;
    }

    public void setCsourcebillid(String csourcebillid) {
        this.csourcebillid = csourcebillid;
    }

    public String getCtManagebid() {
        return ctManagebid;
    }

    public void setCtManagebid(String ctManagebid) {
        this.ctManagebid = ctManagebid;
    }

    public String getCtManageid() {
        return ctManageid;
    }

    public void setCtManageid(String ctManageid) {
        this.ctManageid = ctManageid;
    }

    public String getCunitid() {
        return cunitid;
    }

    public void setCunitid(String cunitid) {
        this.cunitid = cunitid;
    }

    public String getDconsigndate() {
        return dconsigndate;
    }

    public void setDconsigndate(String dconsigndate) {
        this.dconsigndate = dconsigndate;
    }

    public String getDdeliverdate() {
        return ddeliverdate;
    }

    public void setDdeliverdate(String ddeliverdate) {
        this.ddeliverdate = ddeliverdate;
    }

    public Long getDr() {
        return dr;
    }

    public void setDr(Long dr) {
        this.dr = dr;
    }

    public Long getFbatchstatus() {
        return fbatchstatus;
    }

    public void setFbatchstatus(Long fbatchstatus) {
        this.fbatchstatus = fbatchstatus;
    }

    public String getFrownote() {
        return frownote;
    }

    public void setFrownote(String frownote) {
        this.frownote = frownote;
    }

    public Long getFrowstatus() {
        return frowstatus;
    }

    public void setFrowstatus(Long frowstatus) {
        this.frowstatus = frowstatus;
    }

    public String getInccontimepoint() {
        return inccontimepoint;
    }

    public void setInccontimepoint(String inccontimepoint) {
        this.inccontimepoint = inccontimepoint;
    }

    public String getInccontimepointname() {
        return inccontimepointname;
    }

    public void setInccontimepointname(String inccontimepointname) {
        this.inccontimepointname = inccontimepointname;
    }

    public String getIncoconfclose() {
        return incoconfclose;
    }

    public void setIncoconfclose(String incoconfclose) {
        this.incoconfclose = incoconfclose;
    }

    public String getNastretprofnum() {
        return nastretprofnum;
    }

    public void setNastretprofnum(String nastretprofnum) {
        this.nastretprofnum = nastretprofnum;
    }

    public String getNasttaldcnum() {
        return nasttaldcnum;
    }

    public void setNasttaldcnum(String nasttaldcnum) {
        this.nasttaldcnum = nasttaldcnum;
    }

    public String getNdiscountmny() {
        return ndiscountmny;
    }

    public void setNdiscountmny(String ndiscountmny) {
        this.ndiscountmny = ndiscountmny;
    }

    public String getNdiscountrate() {
        return ndiscountrate;
    }

    public void setNdiscountrate(String ndiscountrate) {
        this.ndiscountrate = ndiscountrate;
    }

    public String getNexchangeotobrate() {
        return nexchangeotobrate;
    }

    public void setNexchangeotobrate(String nexchangeotobrate) {
        this.nexchangeotobrate = nexchangeotobrate;
    }

    public String getNitemdiscountrate() {
        return nitemdiscountrate;
    }

    public void setNitemdiscountrate(String nitemdiscountrate) {
        this.nitemdiscountrate = nitemdiscountrate;
    }

    public String getNmaxprc() {
        return nmaxprc;
    }

    public void setNmaxprc(String nmaxprc) {
        this.nmaxprc = nmaxprc;
    }

    public String getNmny() {
        return nmny;
    }

    public void setNmny(String nmny) {
        this.nmny = nmny;
    }

    public String getNnetprice() {
        return nnetprice;
    }

    public void setNnetprice(String nnetprice) {
        this.nnetprice = nnetprice;
    }

    public String getNnumber() {
        return nnumber;
    }

    public void setNnumber(String nnumber) {
        this.nnumber = nnumber;
    }

    public String getNorgqtnetprc() {
        return norgqtnetprc;
    }

    public void setNorgqtnetprc(String norgqtnetprc) {
        this.norgqtnetprc = norgqtnetprc;
    }

    public String getNorgqtprc() {
        return norgqtprc;
    }

    public void setNorgqtprc(String norgqtprc) {
        this.norgqtprc = norgqtprc;
    }

    public String getNorgqttaxnetprc() {
        return norgqttaxnetprc;
    }

    public void setNorgqttaxnetprc(String norgqttaxnetprc) {
        this.norgqttaxnetprc = norgqttaxnetprc;
    }

    public String getNorgqttaxprc() {
        return norgqttaxprc;
    }

    public void setNorgqttaxprc(String norgqttaxprc) {
        this.norgqttaxprc = norgqttaxprc;
    }

    public String getNoriginalcurdiscountmny() {
        return noriginalcurdiscountmny;
    }

    public void setNoriginalcurdiscountmny(String noriginalcurdiscountmny) {
        this.noriginalcurdiscountmny = noriginalcurdiscountmny;
    }

    public String getNoriginalcurmny() {
        return noriginalcurmny;
    }

    public void setNoriginalcurmny(String noriginalcurmny) {
        this.noriginalcurmny = noriginalcurmny;
    }

    public String getNoriginalcurnetprice() {
        return noriginalcurnetprice;
    }

    public void setNoriginalcurnetprice(String noriginalcurnetprice) {
        this.noriginalcurnetprice = noriginalcurnetprice;
    }

    public String getNoriginalcurprice() {
        return noriginalcurprice;
    }

    public void setNoriginalcurprice(String noriginalcurprice) {
        this.noriginalcurprice = noriginalcurprice;
    }

    public String getNoriginalcursummny() {
        return noriginalcursummny;
    }

    public void setNoriginalcursummny(String noriginalcursummny) {
        this.noriginalcursummny = noriginalcursummny;
    }

    public String getNoriginalcurtaxmny() {
        return noriginalcurtaxmny;
    }

    public void setNoriginalcurtaxmny(String noriginalcurtaxmny) {
        this.noriginalcurtaxmny = noriginalcurtaxmny;
    }

    public String getNoriginalcurtaxnetprice() {
        return noriginalcurtaxnetprice;
    }

    public void setNoriginalcurtaxnetprice(String noriginalcurtaxnetprice) {
        this.noriginalcurtaxnetprice = noriginalcurtaxnetprice;
    }

    public String getNoriginalcurtaxprice() {
        return noriginalcurtaxprice;
    }

    public void setNoriginalcurtaxprice(String noriginalcurtaxprice) {
        this.noriginalcurtaxprice = noriginalcurtaxprice;
    }

    public String getNpacknumber() {
        return npacknumber;
    }

    public void setNpacknumber(String npacknumber) {
        this.npacknumber = npacknumber;
    }

    public String getNprice() {
        return nprice;
    }

    public void setNprice(String nprice) {
        this.nprice = nprice;
    }

    public String getNqtnetprc() {
        return nqtnetprc;
    }

    public void setNqtnetprc(String nqtnetprc) {
        this.nqtnetprc = nqtnetprc;
    }

    public String getNqtorgnetprc() {
        return nqtorgnetprc;
    }

    public void setNqtorgnetprc(String nqtorgnetprc) {
        this.nqtorgnetprc = nqtorgnetprc;
    }

    public String getNqtorgprc() {
        return nqtorgprc;
    }

    public void setNqtorgprc(String nqtorgprc) {
        this.nqtorgprc = nqtorgprc;
    }

    public String getNqtorgtaxnetprc() {
        return nqtorgtaxnetprc;
    }

    public void setNqtorgtaxnetprc(String nqtorgtaxnetprc) {
        this.nqtorgtaxnetprc = nqtorgtaxnetprc;
    }

    public String getNqtorgtaxprc() {
        return nqtorgtaxprc;
    }

    public void setNqtorgtaxprc(String nqtorgtaxprc) {
        this.nqtorgtaxprc = nqtorgtaxprc;
    }

    public String getNqtprc() {
        return nqtprc;
    }

    public void setNqtprc(String nqtprc) {
        this.nqtprc = nqtprc;
    }

    public String getNqttaxnetprc() {
        return nqttaxnetprc;
    }

    public void setNqttaxnetprc(String nqttaxnetprc) {
        this.nqttaxnetprc = nqttaxnetprc;
    }

    public String getNqttaxprc() {
        return nqttaxprc;
    }

    public void setNqttaxprc(String nqttaxprc) {
        this.nqttaxprc = nqttaxprc;
    }

    public String getNquoteunitnum() {
        return nquoteunitnum;
    }

    public void setNquoteunitnum(String nquoteunitnum) {
        this.nquoteunitnum = nquoteunitnum;
    }

    public String getNquoteunitrate() {
        return nquoteunitrate;
    }

    public void setNquoteunitrate(String nquoteunitrate) {
        this.nquoteunitrate = nquoteunitrate;
    }

    public String getNretprofmny() {
        return nretprofmny;
    }

    public void setNretprofmny(String nretprofmny) {
        this.nretprofmny = nretprofmny;
    }

    public String getNretprofnum() {
        return nretprofnum;
    }

    public void setNretprofnum(String nretprofnum) {
        this.nretprofnum = nretprofnum;
    }

    public String getNreturntaxrate() {
        return nreturntaxrate;
    }

    public void setNreturntaxrate(String nreturntaxrate) {
        this.nreturntaxrate = nreturntaxrate;
    }

    public String getNsummny() {
        return nsummny;
    }

    public void setNsummny(String nsummny) {
        this.nsummny = nsummny;
    }

    public String getNtaldcmny() {
        return ntaldcmny;
    }

    public void setNtaldcmny(String ntaldcmny) {
        this.ntaldcmny = ntaldcmny;
    }

    public String getNtaldcnum() {
        return ntaldcnum;
    }

    public void setNtaldcnum(String ntaldcnum) {
        this.ntaldcnum = ntaldcnum;
    }

    public String getNtaxmny() {
        return ntaxmny;
    }

    public void setNtaxmny(String ntaxmny) {
        this.ntaxmny = ntaxmny;
    }

    public String getNtaxnetprice() {
        return ntaxnetprice;
    }

    public void setNtaxnetprice(String ntaxnetprice) {
        this.ntaxnetprice = ntaxnetprice;
    }

    public String getNtaxprice() {
        return ntaxprice;
    }

    public void setNtaxprice(String ntaxprice) {
        this.ntaxprice = ntaxprice;
    }

    public String getNtaxrate() {
        return ntaxrate;
    }

    public void setNtaxrate(String ntaxrate) {
        this.ntaxrate = ntaxrate;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getRefundflag() {
        return refundflag;
    }

    public void setRefundflag(String refundflag) {
        this.refundflag = refundflag;
    }

    public String getTconsigntime() {
        return tconsigntime;
    }

    public void setTconsigntime(String tconsigntime) {
        this.tconsigntime = tconsigntime;
    }

    public String getTdelivertime() {
        return tdelivertime;
    }

    public void setTdelivertime(String tdelivertime) {
        this.tdelivertime = tdelivertime;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getVeditreason() {
        return veditreason;
    }

    public void setVeditreason(String veditreason) {
        this.veditreason = veditreason;
    }

    public String getVreceiveaddress() {
        return vreceiveaddress;
    }

    public void setVreceiveaddress(String vreceiveaddress) {
        this.vreceiveaddress = vreceiveaddress;
    }
}